# List department gates | Copenhagen Truck Wash API

### Copenhagen Truck Wash API Help

# List department gates

This endpoint documentation is generated directly from `openapi.yaml`.

## Endpoint

GET /department/gates

## Operation

Operation ID: `listDepartmentGates`

Retrieve department gates, optionally filtered by id

## Authentication

Security requirements:

Scheme | Scopes
--- | ---
BearerAuth | -

## Parameters

Name | In | Required | Type | Description
--- | --- | --- | --- | ---
id | query | no | integer |
|  | no | object |

## Responses

Status | Description | Content Types
--- | --- | ---
200 | Department gates retrieved successfully | application/json
401 |  |

Schema for response `200` (`application/json`):

{ "oneOf": [ { "$ref": "#/components/schemas/DepartmentGate" }, { "items": { "$ref": "#/components/schemas/DepartmentGate" }, "type": "array" } ] }
17 March 2026